
input[type="checkbox"], input[type="radio"] 
{
    margin: 3px;
}


button, a.button
{   font: bold 12px/normal arial; 
    color: white;
    margin: 0;
    padding: 0 10px 1px 10px;
    height: 30px; line-height: 21px; *line-height: normal;
    white-space: nowrap;
    cursor: pointer;
    outline: none;
    overflow: visible;
   *width: auto;
   *margin-right: 3px;
    min-width: 60px;
    text-align: center;

    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;

    border: 1px solid #4999BB;
    border-color: #57A6D1 #4999BB #4585AB #4999BB;

    background-color: #6AB4DD;
    background: linear-gradient(top, #71B9E1, #57A6D1);
    background: -moz-linear-gradient(top, #71B9E1, #57A6D1);
    background: -webkit-gradient(linear, left top, left bottom, from(#71B9E1), to(#57A6D1));
    background: -o-linear-gradient(top, #71B9E1, #57A6D1);
    background: -ms-linear-gradient(top, #71B9E1, #57A6D1);
}
a.button 
{
    display: -moz-inline-stack;
    display: inline-block;
    *zoom: 1; *display: inline;
    height: 22px; line-height: 21.99px;
    padding: 0 6px;
    color: white !important;
}
a.button:hover
a.button:active,
{
    color: white !important;
}
button.big, a.button.big
{
    height: 38px; line-height: 37px; 
    font-size: 16px; 
    padding-left: 15px; padding-right: 15px
}
button::-moz-focus-inner
{   
    border: 0;
    padding: 0;
}
button:hover, a.button:hover
{
    border: 1px solid #2E779E;
    border-top: 1px solid #368AB7;
    border-bottom: 1px solid #3668A6;
    text-decoration: none;

    background-color: #3890C0;
    background: linear-gradient(top, #479CCA, #2E769D);
    background: -moz-linear-gradient(top, #479CCA, #2E769D);
    background: -webkit-gradient(linear, left top, left bottom, from(#479CCA), to(#2E769D));
    background: -o-linear-gradient(top, #479CCA, #2E769D);
    background: -ms-linear-gradient(top, #479CCA, #2E769D);
}
button:active, a.button:active
{
    border: 1px solid #5290C4;
    background-color: #2E769D;
    background: linear-gradient(top, #378DBC, #67ADD3);
    background: -moz-linear-gradient(top, #378DBC, #67ADD3);
    background: -webkit-gradient(linear, left top, left bottom, from(#378DBC), to(#67ADD3));
    background: -o-linear-gradient(top, #378DBC, #67ADD3);
    background: -ms-linear-gradient(top, #378DBC, #67ADD3);
}
button.green
{
    border: 1px solid #5FA338;
    background-color: #79B25A;
    background: linear-gradient(top, #87BC64, #54983E);
    background: -moz-linear-gradient(top, #87BC64, #54983E);
    background: -webkit-gradient(linear, left top, left bottom, from(#87BC64), to(#54983E));
    background: -o-linear-gradient(top, #87BC64, #54983E);
    background: -ms-linear-gradient(top, #87BC64, #54983E);
}
button.green:hover
{
    border: 1px solid #5FA338;
    background-color: #5E973F;
    background: linear-gradient(top, #7CAC55, #3A7E24);
    background: -moz-linear-gradient(top, #7CAC55, #4A8C03);
    background: -webkit-gradient(linear, left top, left bottom, from(#7CAC55), to(#3A7E24));
    background: -o-linear-gradient(top, #7CAC55, #3A7E24);
    background: -ms-linear-gradient(top, #7CAC55, #3A7E24);
}
button.green:active
{
    border: 1px solid #74BD40;
    background-color: #4C8A31;
    background: linear-gradient(top, #54983E, #87BC64);
    background: -moz-linear-gradient(top, #54983E, #87BC64);
    background: -webkit-gradient(linear, left top, left bottom, from(#54983E), to(#87BC64));
    background: -o-linear-gradient(top, #54983E, #87BC64);
    background: -ms-linear-gradient(top, #54983E, #87BC64);
}


/* IE 6-7-8-9 hacks, begin */
button, a.button
{
    /*background-image: url('./images/iebuttonback.png')\9;
    background-repeat: repeat-x\9;
    background-color: #6AB4DD\9;*/
}
root: button  /* IE 9+ */
{
    line-height: 22.1px \0/IE9;
}
/* IE 6-7-8-9 hacks, end */


:root button.green
{
    line-height: 24.1px \0/IE9  /* IE9+ */
}
button.big, a.button.big,
button.big:hover, a.button.big:hover,
button.big:active, a.button.big:active
{
    border: 0
}
button.withicon, button.combo, a.button.withicon
{
    position: relative; z-index: 1;
}
button.withicon, a.button.withicon
{
    padding-left: 29px; padding-right: 8px;
    min-width: 0;
}

button.withicon .buttonicon, a.button.withicon .buttonicon
{
    position: absolute; z-index: 1; left: 6px; top: 3px;
}
button.withicon .buttonicon.view,
button.withicon .buttonicon.fave
{
    padding: 0 !important;
}

button.withicon span.buttonicon.refresh
{
    left: 11px; top: 4px;
}
button.withicon span.buttonicon.view
{
    left: 10px;
}

@-moz-document url-prefix() {button.withicon .buttonicon {top: 0; left: -23px}}            /* FF 9- positioning */
body:not(:-moz-full-screen-ancestor) button.withicon .buttonicon {top: 3px; left: 6px}     /* FF 10+ positioning  */
*button.withicon .buttonicon {left: 6px; top: 2px}                                         /* IE 6-7 positioning */

@-moz-document url-prefix() {button.withicon span.buttonicon.refresh {top: 1px; left: -18px}}          /* FF 9- positioning */
body:not(:-moz-full-screen-ancestor) button.withicon span.buttonicon.refresh {top: 4px; left: 11px}    /* FF 10+ positioning  */
*button.withicon span.buttonicon.refresh { left: 11px; top: 3px; }                                     /* IE 6-7 positioning */

@-moz-document url-prefix() {button.withicon span.buttonicon.view {left: -19px}}          /* FF 9- positioning */
body:not(:-moz-full-screen-ancestor) button.withicon span.buttonicon.view {left: 10px}    /* FF 10+ positioning  */
*button.withicon span.buttonicon.view {left: 10px}  

div.comboarrow,
div.headerdropdownarrow
{
    position: absolute; z-index: 1; 
    width: 0; height: 0; font-size: 0; line-height: 0;
    border: 4px solid transparent;
    _border: 4px solid #F3F3F3;
    _filter: chroma(color=#F3F3F3);
    border-top: 4px solid black;
    border-bottom: 0;
}
div.headerdropdownarrow
{
    border-top-color: white;
    position: relative;
    left: 0; top: -1px;
}


div.searchcont, div.dropdowncont
{
    position: relative;
}

div.searchcont div.arrowcont,
div.dropdowncont div.arrowcont
{
    cursor: pointer;
    position: absolute; z-index: 2;
    right: 4px; top: 3px;
    width: 15px !important;
    height: 15px !important;
    border: 1px solid #707070 !important;
    margin: 0 !important;
    padding: 0 !important;
    background-color: #F0F0F0 !important;
    background: linear-gradient(top, #F8F8F8, #D0D0D0);
    background: -moz-linear-gradient(top, #F8F8F8, #D0D0D0);
    background: -webkit-gradient(linear, left top, left bottom, from(#F8F8F8), to(#D0D0D0));
    background: -o-linear-gradient(top, #F8F8F8, #D0D0D0);
    background: -ms-linear-gradient(top, #F8F8F8, #D0D0D0);
    font-size: 30px; overflow: hidden;                                                     /* for IE, for the div to receive the click */
}
div.searchcont div.arrowcont, x:-moz-any-link, x:only-child { top: 4px; }                  /* FF positioning */
*div.searchcont div.arrowcont { top: 4px; }                                                /* IE6-7 positioning */
*div.dropdowncont div.arrowcont { top: 4px; }

div.searchcont div.arrowcont:hover
{
    background-color: #F2F2F2;
}

div.searchcont div.searchicon
{
    position: absolute; z-index: 1; left: 4px; top: 4px;
    background-color: white;
}
div.searchcont div.searchicon, x:-moz-any-link, x:only-child { top: 5px; }                  /* FF positioning */
*div.searchcont div.searchicon { top: 5px; }                                                /* IE6-7 positioning */

div.searchcont div.searchx
{
    position: absolute; z-index: 1; right: 4px; top: 4px;
    background-color: white;
    cursor: pointer;
}
div.searchcont div.searchx.combo
{
    right: 24px
}
div.searchcont div.searchx.combo.devicesearch
{
    right: 5px;
}
div.searchcont div.searchx, x:-moz-any-link, x:only-child { top: 5px; }                  /* FF positioning */
*div.searchcont div.searchx { top: 5px; }                                                /* IE6-7 positioning */
div.searchcont div.searchx.off
{
    display: none
}


button.combo
{
    padding-right: 12px;
    min-width: 0;
}
button.combo div.comboarrow
{
    right: 10px; top: 9px;
}
@-moz-document url-prefix() {button.combo div.comboarrow {top: 6px; right: 39px}}         /* FF 9- positioning */
body:not(:-moz-full-screen-ancestor) button.combo div.comboarrow {top: 9px; right: 10px}   /* FF 10+ positioning  */
*button.combo div.comboarrow { right: 10px; top: 8px; }                                    /* IE6-7 positioning */

div.arrowcont div.comboarrow
{
    left: 3px; top: 6px;
}

button.gray, button.combo
{
    color: black;
    font-weight: normal;
}
button.gray, button.combo
{
    border: 1px solid #D4D4D4;
    border-top: 1px solid #E0E0E0;
    border-bottom: 1px solid #D0D0D0;

    background-color: #F8F8F8;
    background: linear-gradient(top, #FBFBFB, #E8E8E8);
    background: -moz-linear-gradient(top, #FBFBFB, #E8E8E8);
    background: -webkit-gradient(linear, left top, left bottom, from(#FBFBFB), to(#E8E8E8));
    background: -o-linear-gradient(top, #FBFBFB, #E8E8E8);
    background: -ms-linear-gradient(top, #FBFBFB, #E8E8E8);
}
button.gray:hover, button.combo:hover
{
    border-top: 1px solid #D8D8D8;
    background-color: #F0F0F0;
    background: linear-gradient(top, #F0F0F0, #E0E0E0);
    background: -moz-linear-gradient(top, #F0F0F0, #E0E0E0);
    background: -webkit-gradient(linear, left top, left bottom, from(#F0F0F0), to(#E0E0E0));
    background: -o-linear-gradient(top, #F0F0F0, #E0E0E0);
    background: -ms-linear-gradient(top, #F0F0F0, #E0E0E0);
}
button.gray:active, button.combo:active, button.pushed, button.pushed:hover
{
    border-top: 1px solid #DBDBDB;
    background-color: #E8E8E8;
    background: linear-gradient(top, #E8E8E8, #F8F8F8);
    background: -moz-linear-gradient(top, #E8E8E8, #F8F8F8);
    background: -webkit-gradient(linear, left top, left bottom, from(#E8E8E8), to(#F8F8F8));
    background: -o-linear-gradient(top, #E8E8E8, #F8F8F8);
    background: -ms-linear-gradient(top, #E8E8E8, #F8F8F8);
}

button[disabled],
button[disabled].gray,
button[disabled].combo,
a.button.disabled
{  
    cursor: default !important;
    color: #A8A8A8 !important;
    text-shadow: 1px 1px white;

    border: 1px solid #D8D8D8;
    border-top: 1px solid #E4E4E4;
    border-bottom: 1px solid #D0D0D0;

    background-color: #E8E8E8;
    background: linear-gradient(top, #F0F0F0, #E8E8E8);
    background: -moz-linear-gradient(top, #F0F0F0, #E8E8E8);
    background: -webkit-gradient(linear, left top, left bottom, from(#F0F0F0), to(#E8E8E8));
    background: -o-linear-gradient(top, #F0F0F0, #E8E8E8);
    background: -ms-linear-gradient(top, #F0F0F0, #E8E8E8);
}
button[disabled] div.buttonicon,
button[disabled] span.buttonicon
{
    opacity: 0.3
}
button[disabled].combo div.comboarrow,
input[disabled].search + div.arrowcont div.comboarrow
{
    border-top-color: #C0C0C0
}
input[disabled].search + div.arrowcont, 
input.dropdown + div.arrowcont
{
    cursor: default;
}
button[disabled].gray img
{
    opacity: 0.2
}

input.search.inset
{
    margin: 0;
    padding: 0 22px 0 20px;
    width: 120px;
    background-color: white;
    height: 22px; line-height: 20px;
    position: relative; z-index: 1; top: 0;
}
input.search.inset, x:-moz-any-link, x:only-child { top: 1px; }   /* FF positioning */
*input.search.inset { top: 0; }                                   /* IE6-7 positioning */

input.search.inset.combo
{
    padding: 0 40px 0 20px;
}

input,
select,
textarea 
{
    font-family: arial, sans-serif;
    font-size: 12px;
    font-style: normal;
    color: black;
}
optgroup,
option
{
	font-size: 100%;
	font: inherit;
}

input[type="text"],
input[type="password"],
select,
textarea
{
    -moz-box-shadow: 0 0 0 1px rgba(255,255,255,0.01);
    box-shadow: 0 0 0 1px rgba(255,255,255,0.01);      /* required for a smooth transition in Chrome */

    -moz-transition: -moz-box-shadow .1s linear, border-color .1s linear;
    -webkit-transition: box-shadow .1s linear, border-color .1s linear;
    -ms-transition: box-shadow .1s linear, border-color .1s linear;
    -o-transition: box-shadow .1s linear, border-color .1s linear;
    transition: box-shadow .1s linear, border-color .1s linear;

    padding: 4px;
    margin: 0;
    border: 1px solid #D0D0D0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    outline: 0;
}

input[type="text"]
{
    min-width: 150px
}
span.textbox
{
    position: relative; z-index: 1;
}
span.watermark, div.watermark
{
    position: absolute; z-index: 10;
    left: 5px; top: 3px;
    line-height: 18px;
    color: gray;
    font-style: italic;
    padding: 0;
}
div.searchcont .watermark
{
    left: 22px
}

input.datepicker
{
    width: 90px; min-width: 90px;
    background: white url('./images/calendar.png') no-repeat 96% 4px;
    cursor: pointer;
}
select, input.dropdown
{
    padding: 3px 3px 3px 1px;
    background: linear-gradient(top, #FDFDFD, #F0F0F0);
    background: -moz-linear-gradient(top, #FDFDFD, #F0F0F0);
    background: -webkit-gradient(linear, left top, left bottom, from(#FDFDFD), to(#F0F0F0));
    background: -o-linear-gradient(top, #FDFDFD, #F0F0F0);
    background: -ms-linear-gradient(top, #FDFDFD, #F0F0F0);
}

optgroup
{
    font-weight: bold;
    padding-left: 3px;
    font-style: normal;
}
optgroup option
{
    font-weight: normal;
    padding-left: 10px;
}

select#groupSelector
{
    padding: 2px 3px 3px 1px;
    height: 24px;
    width: 210px;
    color: #333333;
}

input[type="text"]:focus,
input[type="password"]:focus,
select:focus,
textarea:focus,
div.dropdowncont.showOptions input.dropdown
{
    -moz-box-shadow: 0 0 0 1px rgba(0,136,206,0.5);
    box-shadow: 0 0 0 1px rgba(0,136,206,0.5);
    border-color: #0088CE;
}

input.search:focus
{
    -moz-box-shadow: inset 0 1px 1px 0 rgba(0,0,0,0.1), 0 0 0 1px rgba(0,136,206,0.5);
    box-shadow: inset 0 1px 1px 0 rgba(0,0,0,0.1), 0 0 0 1px rgba(0,136,206,0.5);
}

input[type="text"][disabled],
input[type="password"][disabled],
select[disabled],
textarea[disabled]
{
    color: #A0A0A0;
    text-shadow: 1px 1px white;
    background: none;
    background-color: #F6F6F6;
    cursor: default
}

input.error,
input.error,
select.error,
textarea.error
{
    -moz-box-shadow: 0 0 0 1px rgba(206,32,32,0.5);
    box-shadow: 0 0 0 1px rgba(206,32,32,0.5);
    border-color: #CE2020;
}



ul#searchOptions,
ul.dropdownoptions
{
    display: none;
    position: absolute;
    outline: 0;
    top: 24px;
    right: 0;
    z-index: 10;
    border: 1px solid #C8C8C8;
    -webkit-border-radius: 0 0 5px 5px;
    -moz-border-radius: 0 0 5px 5px;
    border-radius: 0 0 5px 5px;
    -moz-box-shadow: 1px 2px 5px rgba(0,0,0,0.15);
    box-shadow: 1px 2px 5px rgba(0,0,0,0.15);
    width: auto;
    height: auto;
    padding: 5px 0;
    background-color: white;
    max-height: 290px;
    overflow-y: auto;
    *overflow-x: hidden;   /* IE6-7 */
}
ul#searchOptions.showOptions,
div.dropdowncont.showOptions div.dropdownoptionscont
{
    display: block
}
ul.dropdownoptions
{
    position: static;
    display: block;
    padding: 0 0 3px 0;
    max-height: 100%;
}
div.dropdownoptionscont
{
    display: none;
    position: absolute; z-index: 10;
    width: 100%;
    top: 23px; left: 0;
    height: 190px;
}
ul.dropdownoptions li
{
    font-weight: bold; 
    font-style: italic;
    padding: 2px 5px 2px 1px;
    cursor: default;
}
ul.dropdownoptions li[lang]
{
    font-weight: normal;
    font-style: normal;
    padding: 2px 5px;
}
ul.dropdownoptions li[lang]:hover
{
    color: white !important;
    background-color: #0088CE !important;
}
ul.dropdownoptions li.selected
{
    background-color: #F0F0F0;
}
ul.dropdownoptions li[disabled]
{
    color: gray;
}
ul.dropdownoptions li[disabled]:hover
{
    color: gray !important;
    background-color: #fff !important;
}
ul#searchOptions li
{
    white-space: nowrap;
}
ul#searchOptions li a 
{
    display: block;
    background-color: white;
    padding: 3px 26px 3px 20px;
    height: auto;
    line-height: normal;
    position: relative; z-index: 1;
}
ul#searchOptions li a:hover 
{
    background-color: #0088CE;
    color: white;
}
ul#searchOptions li a.selected 
{
    background-color: white;
    color: black;
    cursor: default;
}
ul#searchOptions li a span 
{
    position: absolute; z-index: 1; top: -1px; left: 8px;
    color: #1CA307; font-size: 20px;
}
ul#searchOptions li.separator 
{
    height: 1px; line-height: 1px; font-size: 1px; 
    overflow: hidden;
    background-color: #D8D8D8;
    margin: 5px 0;
    *width: 100%;  /* IE6-7 */
}
ul#searchOptions li.categoryTitle
{
    cursor: default;
    font-style: italic;
    padding: 3px 25px 3px 20px;
}
ul#searchOptions li a.favoriteItem
{
    padding-right: 30px;
}
ul#searchOptions li a.favoriteItem div.delx
{
    display: none;
    position: absolute; z-index: 1; top: 2px; right: 3px;
    padding: 0 4px;
    font-size: 14px; font-weight: bold;
    background-color: #0088CE;
    border-left: 1px solid #E0E0E0;
    cursor: pointer;
}
ul#searchOptions li a.favoriteItem div.delx:hover
{
    color: #FFFFFF;
    background-color: #00A1F1;
    border-left: 1px solid transparent;
}
ul#searchOptions li a.favoriteItem:hover div.delx
{
    display: block;
}


div.calendar.movedleft
{
    margin-left: -23px;
    position: relative; z-index: 1;
    top: 4px; *top: -3px;
}
select.multiselect
{
    height: 200px;
    width: 100%;
    background: white;
}
select.multiselect, select.multiselect optgroup, select.multiselect option
{
    font-size: 11px;
    line-height: normal;
}
button.addrembutton 
{
    font-size: 28px;
    width: 40px; min-width: 40px;
    height: 40px;
    margin: 3px 10px;
}




input.dropdown
{
    padding-left: 4px;
    cursor: default;
    overflow-x: visible;
    width: auto;
}


/*Begining: Import Export button / Manage Alert Packages*/ 

div#fileSelectorPanel 
{
   	position: relative;   	
   	overflow: hidden;
}

input#fileSelectorImport
{
	position: absolute; z-index: 2;
	top: 0px; left: 0px; 
	*left: auto; *right: 0;  /* IE6-7 */
    cursor: pointer;
    width: 100%;
	
	opacity:0;
	filter:alpha(opacity: 0);
	-moz-opacity:0
}

/*End: Import Export button / Manage Alert Packages*/

div.fieldset, fieldset
{
    border: 1px solid #C8C8C8;
    padding: 10px 20px 20px 10px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    margin: 0 0 10px 0;
}
div.fieldset.collapsible.closed
{
    padding: 10px 20px 0px 10px;
}
div.fieldset h2
{
    font-size: 15px;
    font-weight: normal
}
div.fieldset.collapsible h2
{
    color: #0088CE;
    cursor: pointer;
    margin-left: -10px;
}
div.fieldset.collapsible.closed h2
{
    margin-bottom: 12px;
}
div.fieldset.collapsible.open div.arrow
{
    border-top: 4px solid #0088CE;
    top: 1px;
    margin: 0 3px 0 9px;
}
div.fieldset.collapsible.closed div.arrow
{
    border-left: 4px solid #0088CE;
    top: -1px;
    margin: 0 0 0 12px;
}
div.fieldset.collapsible.closed table, 
div.fieldset.collapsible.closed div.noTable
{
    display: none
}
div.fieldset table,
fieldset table
{
    font-size: 12px;
    margin: 0 0 0 20px;
}
div.fieldset table tr td,
fieldset table tr td
{
    padding: 3px 20px 8px 3px;
}
fieldset table.notifyevents tr td
{
    padding: 2px;
}
div.fieldset table tr td.label,
fieldset table tr td.label
{
    width: 180px; min-width: 180px;
    vertical-align: top;
    padding-top: 8px;
}
div.fieldset table tr td.field,
fieldset table tr td.field
{
    vertical-align: bottom;
}
div.fieldset table tr td label,
fieldset table tr td label
{
    position: relative; z-index: 1;
    top: -1px;
}
div.fieldset table tr td input[type="checkbox"],
div.fieldset table tr td input[type="radio"],
fieldset table tr td input[type="checkbox"],
fieldset table tr td input[type="radio"]
{
    position: relative; z-index: 1;
    top: 1px;
}
div.actionbuttons
{
    padding: 10px 0;
    border: 0;
}

fieldset
{
    padding: 8px 10px;
}
fieldset legend
{
    font-weight: bold
}

